Packages - Freedom Issue #757

Freedom Issue # 123 (not-a-bug): wanted: blacklist for nonfree aur packages
More non-free AUR fonts packages will be blacklisted
2015-07-15 02:44 PM - Anonymous

Status: not-a-bug % Done: 0%
Priority: freedom issue

Assignee: ovruni

Category:

Description

There are many non-free/libre font packages from AUR4 (https://aur4.archlinux.org), and it will be targeted into AUR blacklist.

- ttf-c64: Style64's non-free font license, Restricts distribution and/or commercial usage.

- ttf-code2000: The Wikipedia article said "the Code2000 font was available as unrestricted shareware".

- ttf-coolvetica: Taken from Garry's Mod on GitHub, made by Ray Larabie (Typodermic Fonts), but it's not a free font.
- ttf-eurostile-complete: Non-free URW++ EULA font license.

- ttf-game-fonts: I'm not really sure why fonts aren't free?

- ttf-lastwaerk: Non-free font license, restricts derivation and/or modification usage (CC BY-ND 3.0)

- ttf-montepetrum: Non-free font license, restricts derivation and/or modification usage (CC BY-ND 3.0).

- ttf-office-2007-fonts: Non-free Microsoft fonts.

- ttf-qurancomplex-fonts: Restricts distribution and/or modification usage of the copyright text.

- ttf-siddhanta: Non-free font license, restricts commercial, derivation and/or modification usage (CC BY-NC-ND 3.0).
- ttf-trigger: Non-free font license, restricts commercial usage (CC BY-NC 3.0).

- ttf-tw: Non-free font license, restricts derivation and/or modification usage (CC BY-ND 3.0).

- ttf-zekton-rg: Made by Ray Larabie (Typodermic Fonts), but it's not free font.

- ttf-zelda: I'm not really sure why fonts aren't free?

History

#1 - 2015-07-23 04:32 PM - Anonymous

- Related to Freedom Issue #123: wanted: blacklist for nonfree aur packages added

#2 - 2015-07-23 04:32 PM - Anonymous

- Assignee set to ovruni

#3 - 2019-02-27 09:15 PM - bill-auger
- Related to Freedom Issue #751: Nonfree AUR packages added

#4 - 2019-02-27 09:19 PM - bill-auger

- Status changed from open to in progress

#5 - 2020-07-10 06:58 AM - bill-auger
- Related to deleted (Freedom Issue #751: Nonfree AUR packages)

#6 - 2020-07-10 06:58 AM - bill-auger

- Related to deleted (Freedom Issue #123: wanted: blacklist for nonfree aur packages)

#7 - 2020-07-10 06:58 AM - bill-auger
- Parent task set to #123

- Status changed from in progress to not-a-bug

closing, in favor of the 'your-system-sanity' discussion: #1035
